curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
オブジェクトタイプのobjectTypeId
Show child attributes
successful operation
バッチ更新/挿入処理の結果を表します。これには、オペレーションのステータス、タイムスタンプ、および正常に作成または更新されたオブジェクトのリストが含まれます。
バッチ処理が完了した時刻のタイムスタンプ(ISO 8601形式)。
Show child attributes
バッチ処理の実行が開始された時刻のタイムスタンプ(ISO 8601形式)。
バッチ処理リクエストのステータス。「PENDING」、「PROCESSING」、「CANCELED」、または「COMPLETE」にできます。
CANCELED, COMPLETE, PENDING, PROCESSING バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。
Show child attributes
バッチ処理が開始された時刻のタイムスタンプ(ISO 8601形式)。